SchemaConstants (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.config

## Class SchemaConstants

- java.lang.Object
- - org.apache.cassandra.config.SchemaConstants

-     public final class SchemaConstants
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `AUTH_KEYSPACE_NAME`
    `static java.lang.String` | `DISTRIBUTED_KEYSPACE_NAME`
    `static java.util.UUID` | `emptyVersion`
    `static java.util.Set<java.lang.String>` | `LOCAL_SYSTEM_KEYSPACE_NAMES`
    `static int` | `NAME_LENGTH` longest permissible KS or CF name.
    `static java.util.Set<java.lang.String>` | `REPLICATED_SYSTEM_KEYSPACE_NAMES`
    `static java.lang.String` | `SCHEMA_KEYSPACE_NAME`
    `static java.lang.String` | `SYSTEM_KEYSPACE_NAME`
    `static java.lang.String` | `TRACE_KEYSPACE_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchemaConstants()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `isLocalSystemKeyspace(java.lang.String keyspaceName)`
    `static boolean` | `isReplicatedSystemKeyspace(java.lang.String keyspaceName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SYSTEM_KEYSPACE_NAME

          public static final java.lang.String SYSTEM_KEYSPACE_NAME

      See Also:
        Constant Field Values

    - #### SCHEMA_KEYSPACE_NAME

          public static final java.lang.String SCHEMA_KEYSPACE_NAME

      See Also:
        Constant Field Values

    - #### TRACE_KEYSPACE_NAME

          public static final java.lang.String TRACE_KEYSPACE_NAME

      See Also:
        Constant Field Values

    - #### AUTH_KEYSPACE_NAME

          public static final java.lang.String AUTH_KEYSPACE_NAME

      See Also:
        Constant Field Values

    - #### DISTRIBUTED_KEYSPACE_NAME

          public static final java.lang.String DISTRIBUTED_KEYSPACE_NAME

      See Also:
        Constant Field Values

    - #### LOCAL_SYSTEM_KEYSPACE_NAMES

          public static final java.util.Set<java.lang.String> LOCAL_SYSTEM_KEYSPACE_NAMES

    - #### REPLICATED_SYSTEM_KEYSPACE_NAMES

          public static final java.util.Set<java.lang.String> REPLICATED_SYSTEM_KEYSPACE_NAMES

    - #### NAME_LENGTH

          public static final int NAME_LENGTH

      longest permissible KS or CF name. Our main concern is that filename not be more than 255 characters; the filename will contain both the KS and CF names. Since non-schema-name components only take up ~64 characters, we could allow longer names than this, but on Windows, the entire path should be not greater than 255 characters, so a lower limit here helps avoid problems. See CASSANDRA-4110.
      See Also:
        Constant Field Values

    - #### emptyVersion

          public static final java.util.UUID emptyVersion

  - ### Constructor Detail

    - #### SchemaConstants

          public SchemaConstants()

  - ### Method Detail

    - #### isLocalSystemKeyspace

          public static boolean isLocalSystemKeyspace(java.lang.String keyspaceName)

      Returns:
        whether or not the keyspace is a really system one (w/ LocalStrategy, unmodifiable, hardcoded)

    - #### isReplicatedSystemKeyspace

          public static boolean isReplicatedSystemKeyspace(java.lang.String keyspaceName)

      Returns:
        whether or not the keyspace is a replicated system ks (system_auth, system_traces, system_distributed)

Copyright © 2018 The Apache Software Foundation